- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.ListAlertGroupingRulesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules/list#body.aspect_1)

**Full name**: projects.locations.instances.alertGroupingRules.list

Lists alert grouping rules. Supports filtering by category or grouping type.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/alertGroupingRules`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list AlertGroupingRules for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of AlertGroupingRules to return. The service may return fewer than this value. If unspecified, at most 50 AlertGroupingRules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `alertGroupingRules.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `alertGroupingRules.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of AlertGroupingRules. Supported filter fields: \* `category`: Filter by the category. \* `categoryDetails`: Filter by the categoryDetails. \* `groupingType`: Filter by the groupingType. \* `entityType`: Filter by the entityType. Example: `filter="category='AlertGroupingRule 1'"` |
| `orderBy` | `string` Optional. Configures ordering of AlertGroupingRules in the response. If not specified, AlertGroupingRules are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported fields: \* `category` |

### Request body

The request body must be empty.

### Response body

Response message for alertGroupingRules.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "alertGroupingRules": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules#AlertGroupingRule`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `alertGroupingRules[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.alertGroupingRules#AlertGroupingRule`)`` The list of AlertGroupingRules. Ordered by Id by default. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of AlertGroupingRules includes filter without pagination. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.alertGroupingRules.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).